WooCommerce 3.7 is a minor release, and it’s second for 2019. This means that it should be fully backwards compatible with all WooCommerce releases since 3.0.

What’s new in 3.7? Well here is their update….

WooCommerce Product Blocks

We’re excited to include several new and improved WooCommerce Product Blocks – our eCommerce-focused blocks for the powerful block-based editor that’s been part of WordPress since 5.0.

New Focal Point picker on Featured Product block
New Focal Point picker on the Featured Product block

Product Blocks allow store builders to easily feature products on posts and pages, combining content with commerce.

Improvements and additions include:

  • Better block branding for easier discoverability.
  • A new Focal Point Picker for the Featured Product block.
  • A new Product Categories List block.
  • A new Featured Category Block, enabling you to feature a category and show a link to its archive.
  • A new Products by Tag(s) block.
  • Searching for products in the Featured Product and Hand-Picked Product blocks is now faster – woo!

Read more about the new WooCommerce Product Blocks.

In order to access these new blocks, you’ll either need to have WordPress 5.1+ or the latest version of the Gutenberg Editor plugin installed.

Performance Improvements

This release boasts several changes under the hood – such as speeding up pages where comment data is retrieved (e.g. product reviews, post comments, and admin pages). These improvements ensure that WooCommerce is now faster than ever.

New PHP and WordPress minimum requirements

WooCommerce 3.7 also bumps the minimum supported version of PHP up to 5.6. This is not only for security reasons, but to take advantage of available features and functionality, and offer the best experience for stores. Stores are also faster and more secure when running the latest version of PHP.

We also increased the minimum required WordPress version to 4.9 – this will likely increase to WordPress 5.0 in the not too distant future.

Upgrade nudges have been added to WooCommerce 3.6.5, pointing users to documentation to determine whether they have the latest and greatest versions. Stores running older versions of PHP and WordPress will not be able to update to WooCommerce 3.7 before upgrading to the minimum supported versions.

Additional enhancements

There are several other tweaks, fixes, and improvements in this release, including the ability to customize  the “Thank You” wording in emails via an additional content field, and new coupon code generator functionality. Learn more by viewing the full changelog on GitHub.

Ready for WooCommerce 3.7?

Before you dive in and get started, we recommend reviewing our documentation around how to update, ensuring that backups are in place, and then installing the update via WP Admin.

We’re here if you need us, but please note that we’re not able to diagnose or solve potential issues via blog comments. The best – and fastest – way to get in touch with us is by using the methods listed below:

If you’d like more technical details about this release, read a longer version of this update in our post on the developer blog.

WooCommerce 3.7 was released August 12th. Update today and let us know what you think in the comments!

Leave a Reply